<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content miscellaneous-enumerations">
                   <div class="content-data">















<ol class="breadcrumb">
  <li>Miscellaneous</li>
  <li>Enumerations</li>
</ol>

<section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <ul class="index-list">
                        <li>
                            <a href="#ErrorType" title="src/app/core/service/http/ErrorInterceptor.ts"><b>ErrorType</b>&nbsp;&nbsp;&nbsp;(src/.../ErrorInterceptor.ts)</a>
                        </li>
                        <li>
                            <a href="#FileType" title="src/app/core/model/file-type.ts"><b>FileType</b>&nbsp;&nbsp;&nbsp;(src/.../file-type.ts)</a>
                        </li>
                        <li>
                            <a href="#MilestoneType" title="src/app/operation/parameters/milestone/model/milestone-type.ts"><b>MilestoneType</b>&nbsp;&nbsp;&nbsp;(src/.../milestone-type.ts)</a>
                        </li>
                        <li>
                            <a href="#Mode" title="src/app/operation/parameters/management-entity/selector/management-entity-selector.component.ts"><b>Mode</b>&nbsp;&nbsp;&nbsp;(src/.../management-entity-selector.component.ts)</a>
                        </li>
                        <li>
                            <a href="#OperationOption" title="e2e/shared/mock-server.ts"><b>OperationOption</b>&nbsp;&nbsp;&nbsp;(e2e/.../mock-server.ts)</a>
                        </li>
                        <li>
                            <a href="#OperationParameterType" title="src/app/operation/service/operation-parameter-type.ts"><b>OperationParameterType</b>&nbsp;&nbsp;&nbsp;(src/.../operation-parameter-type.ts)</a>
                        </li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
</section>

    <h3>src/app/core/service/http/ErrorInterceptor.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ErrorType"></a>
                        <span class="name"><b>ErrorType</b><a href="#ErrorType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Technical
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;Validation
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/app/core/model/file-type.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="FileType"></a>
                        <span class="name"><b>FileType</b><a href="#FileType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;DOMAIN_INFLUENCE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REPOSITORY
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/app/operation/parameters/milestone/model/milestone-type.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="MilestoneType"></a>
                        <span class="name"><b>MilestoneType</b><a href="#MilestoneType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SITE_VALIDATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;CERTIFICATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;PRINTER_FILES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;BALLOT_BOX_INIT
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SITE_OPEN
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;SITE_CLOSE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;BALLOT_BOX_DECRYPT
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;RESULT_VALIDATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;DATA_DESTRUCTION
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/app/operation/parameters/management-entity/selector/management-entity-selector.component.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="Mode"></a>
                        <span class="name"><b>Mode</b><a href="#Mode"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;invite
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>invite</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;revoke
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>revoke</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>e2e/shared/mock-server.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="OperationOption"></a>
                        <span class="name"><b>OperationOption</b><a href="#OperationOption"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_ALL
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_ALL</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_MILESTONE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_MILESTONE</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_DOMAIN_INFLUENCE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_DOMAIN_INFLUENCE</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_REPOSITORY_VOTATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_REPOSITORY_VOTATION</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_REPOSITORY_ELECTION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_REPOSITORY_ELECTION</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REMOVE_REPOSITORY_ELECTION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>REMOVE_REPOSITORY_ELECTION</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_DOCUMENT
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_DOCUMENT</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_TESTING_CARDS
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_TESTING_CARDS</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_ELECTION_PAGE_PROPERTIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_ELECTION_PAGE_PROPERTIES</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REMOVE_ELECTION_PAGE_PROPERTIES
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>REMOVE_ELECTION_PAGE_PROPERTIES</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_VOTING_SITE_CONFIGURATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_VOTING_SITE_CONFIGURATION</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_REGISTER_SE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_REGISTER_SE</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_REGISTER_SR
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_REGISTER_SR</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_CARD_TITLE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_CARD_TITLE</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_PRINTER_TEMPLATE
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_PRINTER_TEMPLATE</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;ADD_SIMULATION_SITE_PERIOD
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>ADD_SIMULATION_SITE_PERIOD</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;REMOVE_BALLOT_DOCUMENTATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>REMOVE_BALLOT_DOCUMENTATION</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FOR_REAL
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>FOR_REAL</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;FOR_SIMULATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>FOR_SIMULATION</code>
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;WITH_VOTING_MATERIAL_FINALIZED
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Value : </i><code>WITH_VOTING_MATERIAL_FINALIZED</code>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <h3>src/app/operation/service/operation-parameter-type.ts</h3>
    <section>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="OperationParameterType"></a>
                        <span class="name"><b>OperationParameterType</b><a href="#OperationParameterType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;CONFIGURATION
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;VOTING_MATERIAL
                            </td>
                        </tr>
                        <tr>
                            <td class="col-md-4">
                                &nbsp;VOTING_PERIOD
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'miscellaneous-enumerations';
            var COMPODOC_CURRENT_PAGE_URL = 'enumerations.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
